/* Ответы на теоретические вопросы:

1. const -  это константа, то есть ячейка в памяти с постоянным значением, которое нельзя переписывать впоследствии.
Разница между var и let - во-первых в области видимости: у var область видимости на уровне функции, а у let на уровне блока. То есть если в функцию будет внутри вложен например цикл и там будет переменная объявленая через let, то она будет видна только в цикле, а если она будет объявлена через var, то она будет видна во всех блоках данной функции. Во-вторых: при загрузке страницы браузер сразу создает список переменных, объявленных через var и задает им значение undefined, пока они не инициализированы, а переменные объявленые с помощью let создаются только тогда когда интерпретатор дошел до того места где они объявлены.

2. Ответ на этот вопрос вытекает из предыдущего. Во-первых иногда лучше чтобы переменная была видна только в своем блоке и к ней не было доступа из другого места, а во-вторых не очень хорошо когда  переменная возвращает значение undefined если ее используют до инициализации.*/


let name;
do {
    name = prompt("Enter your name, please");
} while (name == "");

let age;
do {
    age = +prompt("Enter your age");
} while (isNaN(age) || age == 0);


if (age < 18) {
    alert("You are not allowed to visit this website");
} else if (age >= 18 && age <= 22) {
    let confirmation = confirm("Are you sure you want to continue?");
    if (confirmation) {
        alert(`Welcome, ${name}`);
    } else {
        alert("You are not allowed to visit this website");
    }
} else {
    alert(`Welcome, ${name}`);
}